vue2.0 页面在华为自带浏览器里无法打开。

代码用的是 vue2.0 + vue-router2.0。
在华为P8的机器上的自带浏览器打不开。
不知道大家有没有碰到这个问题。

附带一个链接:https://github.com/vuejs/vue-…

这个问题issue在 vue-router上,已经被close了,提问者说了一个配置,但是不知道是加在哪个文件里。

回答:

加一个 https://cdn.bootcss.com/babel-polyfill/6.23.0/polyfill.min.js 试试。
我之前也遇到过这个问题,华为手机内置的浏览器内核版本太低了!

回答:

今天刚解决这个问题,看我专门给你们写的方法,为了不让后面的小伙伴采坑,看链接:https://blog.csdn.net/jin2703…

回答:

有的手机加了 https://cdn.bootcss.com/babel-polyfill/6.23.0/polyfill.min.js 还是不行的话,那就要去https://babeljs.io/repl/这个网站,把你代码里的ES6及以上的代码转为ES5.
不支持vue是因为你写了ES6或以上的代码,低版本浏览器执行不了。

回答:

如果加了 https://cdn.bootcss.com/babel-polyfill/6.23.0/polyfill.min.js 还是不行的话;
就是各位使用的版本有一定差异,需要从解决ES6ES5上解决;
问题的原因是因为 vue2.0 通过 webpack 打包后的代码里面的ES6语法没有转;
参见:https://blog.csdn.net/xtaydwx…

暂无评论

发表评论

您的电子邮箱地址不会被公开。 必填项已用*标注